package cn.pluss.platform.vo;

/**
 * 汇总流水
 * @author yuchen
 * 
 * @Description 
 *
 */
public class SummaryOfWaterVO{
	
	/**
	 * 交易总额
	 */
	private String dealSum;
	
	/**
	 * 手续费
	 */
	private String rate;
	
	/**
	 * 交易笔数
	 */
	private String dealCount;
	
	/**
	 * 退款笔数
	 */
	private String refundCount;
	
	/**
	 * 实际收款
	 */
	private String actualPayment;
	
	/**
	 * 实际到账
	 */
	private String actualAccount;
	
	/**
	 * 实退金额
	 */
	private String actualMoney;
	
	/**
	 * 商家净收入
	 */
	private String  merchantNetIncome;
	
	/**
	 * 净退款
	 */
	private String netRefund;
	
	/**
	 * 商家优惠
	 */
	private String merchantDiscounts;
	
	/**
	 * 推广分润总额
	 */
	private String shareMoney;

	public String getDealSum() {
		return dealSum;
	}

	public void setDealSum(String dealSum) {
		this.dealSum = dealSum;
	}

	public String getRate() {
		return rate;
	}

	public void setRate(String rate) {
		this.rate = rate;
	}

	public String getDealCount() {
		return dealCount;
	}

	public void setDealCount(String dealCount) {
		this.dealCount = dealCount;
	}

	public String getRefundCount() {
		return refundCount;
	}

	public void setRefundCount(String refundCount) {
		this.refundCount = refundCount;
	}

	public String getActualPayment() {
		return actualPayment;
	}

	public void setActualPayment(String actualPayment) {
		this.actualPayment = actualPayment;
	}

	public String getActualAccount() {
		return actualAccount;
	}

	public void setActualAccount(String actualAccount) {
		this.actualAccount = actualAccount;
	}

	public String getActualMoney() {
		return actualMoney;
	}

	public void setActualMoney(String actualMoney) {
		this.actualMoney = actualMoney;
	}

	public String getMerchantNetIncome() {
		return merchantNetIncome;
	}

	public void setMerchantNetIncome(String merchantNetIncome) {
		this.merchantNetIncome = merchantNetIncome;
	}

	public String getNetRefund() {
		return netRefund;
	}

	public void setNetRefund(String netRefund) {
		this.netRefund = netRefund;
	}

	public String getMerchantDiscounts() {
		return merchantDiscounts;
	}

	public void setMerchantDiscounts(String merchantDiscounts) {
		this.merchantDiscounts = merchantDiscounts;
	}

	@Override
	public String toString() {
		return "SummaryOfWaterVO [dealSum=" + dealSum + ", rate=" + rate + ", dealCount=" + dealCount + ", refundCount="
				+ refundCount + ", actualPayment=" + actualPayment + ", actualAccount=" + actualAccount
				+ ", actualMoney=" + actualMoney + ", merchantNetIncome=" + merchantNetIncome + ", netRefund="
				+ netRefund + ", merchantDiscounts=" + merchantDiscounts + "]";
	}

	public String getShareMoney() {
		return shareMoney;
	}

	public void setShareMoney(String shareMoney) {
		this.shareMoney = shareMoney;
	}
	
	

}
